### Class

# Gom Resource

#### Description

    abstract class Gom.Resource : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Functions

###### gom_resource_from_bytes_func_quark

No description available.

###### gom_resource_new_in_version_quark

No description available.

###### gom_resource_not_mapped_quark

No description available.

###### gom_resource_notnull

No description available.

###### gom_resource_ref_property_name

No description available.

###### gom_resource_ref_table_class

No description available.

###### gom_resource_to_bytes_func_quark

No description available.

###### gom_resource_unique

No description available.

#### Instance methods

###### gom_resource_delete_async

No description available.

###### gom_resource_delete_finish

No description available.

###### gom_resource_delete_sync

Synchronously deletes a resource. This may only be called from inside a callback to gom_adapter_queue_write().

###### gom_resource_fetch_m2m_async

No description available.

###### gom_resource_fetch_m2m_finish

Completes the asynchronous request to fetch a group of resources that are related to the resource through a many-to-many table.

###### gom_resource_save_async

No description available.

###### gom_resource_save_finish

No description available.

###### gom_resource_save_sync

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gom.Resource:repository

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GomResourceClass {
      GObjectClass parent_class;
      gchar primary_key;
      gchar table;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`primary_key: gchar`

  No description available.

`table: gchar`

  No description available.

#### Class methods

###### gom_resource_class_set_notnull

No description available.

###### gom_resource_class_set_primary_key

No description available.

###### gom_resource_class_set_property_from_bytes

No description available.

###### gom_resource_class_set_property_new_in_version

No description available.

###### gom_resource_class_set_property_set_mapped

No description available.

###### gom_resource_class_set_property_to_bytes

No description available.

###### gom_resource_class_set_property_transform

No description available.

###### gom_resource_class_set_reference

No description available.

###### gom_resource_class_set_table

No description available.

###### gom_resource_class_set_unique

No description available.